Subject: bug#8562: closed (Re: bug#8562: Emacs 23.1 and later don't work in windows 98)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Nov 2011 22:04:02 +0000

Your bug report

#8562: Emacs 23.1 and later don't work in windows 98

which was filed against the emacs,w32 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8562: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8562
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8562: Emacs 23.1 and later don't work in windows 98
From: Eli Zaretskii <[email-masked]>
To: oslsachem <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Nov 2011 00:01:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 4 Nov 2011 21:59:57 +0100
> From: oslsachem <[email-masked]>
> Cc: [email-masked]
> 
> > Maybe.  But since we are in a pretest, I opted for a safer solution:
> > add a similar test to runemacs.  The patch is below; please try
> > applying it to the current trunk of Emacs 24.  If it works, I will
> > commit it.
> 
> "This is GNU Emacs 24.0.91.1 (i386-mingw-windows98.2222) [...]"
> 
> As far as I can tell, the patched Emacs works flawlessly:

Thanks.  I committed those changes, which completes the solution for
this problem.

This bug is now officially closed.  Thanks so much for all your help
during the work on the solution.

Subject: Emacs 23.1 and later don't work in windows 98
From: oslsachem <[email-masked]>
To: [email-masked]
Date: Tue, 26 Apr 2011 23:55:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, emacs no longer works under windows 98 since emacs version 23.1.

It worked with version 22.3.

This problem has been already reported at
http://lists.gnu.org/archive/html/help-emacs-windows/2009-09/msg00042.html

The suggested solution doesn't seem to work.

Note:
If maintaining compatibility with outdated versions of windows is no longer
relevant then the information provided at
http://www.gnu.org/software/emacs/windows/Introduction.html#Introduction
should be revised.

Anecdotal note:
I took my chances by posing this problem at #emacs freenode irc channel.
I was told that perhaps it was time to upgrade to windows Me.
I ascertained that this guy didn't work for microsoft.
It serves me right for trying to take a shortcut to posting to the mailing
list.

Greetings,
                Osl